generator_selector =
{
	type = "PEACE_OFFER_ACCEPT"
	name = "gwar_we_win" # great war the player wins
	case = { value = 0 }
	case = 
	{ 
		trigger = 
		{ 
			tags_contains = { 2 PLAYER }  # player is involved
			values_eq = { 0 0 1 } # great war
			values_eq = { 0 2 1 } # war is over
			values_greater = { 0 3 0 } # If it is not white peace (there is no winner) (if CBs count > 0 )
			values_eq = { 0 1 1 } # We demanded a CB, that is, we won
		} 
		value = 110
	}
}	

news_priority = 
{
	type = "PEACE_OFFER_ACCEPT"
	name = "gwar_we_win"

	# Default priority
	case = { priority_add = 25 }

	# Higher if was many countries on each side
	case =
	{
		trigger =
		{
			OR = 
			{
				# at least 3 countries on any side
				length_greater = { tags 0 2 }
				length_greater = { tags 1 2 }
			}
		}
		priority_add = 25
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = large
	name = "gwar_we_win"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { gwar_we_win_large_title }
	}
	description_case =
	{
		text_add = { gwar_we_win_large_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = medium
	name = "gwar_we_win"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds"
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { gwar_we_win_medium_title }
	}
	description_case =
	{
		text_add = { gwar_we_win_medium_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = small
	name = "gwar_we_win"

	title_case =
	{
		text_add = { gwar_we_win_small_title }
	}
	description_case =
	{
		text_add = { gwar_we_win_small_desc }
	}
}

# Clear all collected scopes of other types, that 
# makes no sense to be printed once current text is printed.
#on_printing =
#{
#	type = "PEACE_OFFER_ACCEPT"
#	name = "gwar_we_win"
#	effect =
#	{
#		clear_news_scopes =
#		{
#			type = "WAR_DECLARED"
#			# Compare by war name
#			limit = { strings_match = { 0 2  0 0 } }
#		}
#	}
#}
# - Moved to on_collection.txt as these articles are only about player involved

#==================================

generator_selector =
{
	type = "PEACE_OFFER_ACCEPT"
	name = "gwar_we_lose" # great war the player loses
	case = { value = 0 }
	case = 
	{ 
		trigger = 
		{ 
			tags_contains = { 3 PLAYER } # player is involved
			values_eq = { 0 0 1 } # great war
			values_eq = { 0 2 1 } # war is over
			values_greater = { 0 3 0 } # If it is not the white peace (there is no winner) (if CBs count > 0 )
			values_eq = { 0 1 0 } # our side gave up CB
		} 
		value = 20 
	}
}	

news_priority = 
{
	type = "PEACE_OFFER_ACCEPT"
	name = "gwar_we_lose"

	# Default priority
	case = { priority_add = 25 }

	# Higher if was many countries on each side
	case =
	{
		trigger =
		{
			OR = 
			{
				# at least 3 countries on any side
				length_greater = { tags 0 2 }
				length_greater = { tags 1 2 }
			}
		}
		priority_add = 25
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = large
	name = "gwar_we_lose"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { gwar_we_lose_large_title }
	}
	description_case =
	{
		text_add = { gwar_we_lose_large_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = medium
	name = "gwar_we_lose"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { gwar_we_lose_medium_title }
	}
	description_case =
	{
		text_add = { gwar_we_lose_medium_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = small
	name = "gwar_we_lose"

	title_case =
	{
		text_add = { gwar_we_lose_small_title }
	}
	description_case =
	{
		text_add = { gwar_we_lose_small_desc }
	}
}

# Clear all collected scopes of other types, that 
# makes no sense to be printed once current text is printed.
#on_printing =
#{
#	type = "PEACE_OFFER_ACCEPT"
#	name = "gwar_we_lose"
#	effect =
#	{
#		clear_news_scopes =
#		{
#			type = "WAR_DECLARED"
#			# Compare by war name
#			limit = { strings_match = { 0 2  0 0 } }
#		}
#	}
#}
# - Moved to on_collection.txt as these articles are only about player involved

#==================================

generator_selector =
{
	type = "PEACE_OFFER_ACCEPT"
	name = "war_we_win" # non-great war the player wins
	case = { value = 0 }
	case = 
	{ 
		trigger = 
		{ 
			tags_contains = { 2 PLAYER} # player is involved
			values_eq = { 0 0 0 } # not great war
			values_eq = { 0 2 1 } # war is over
			values_greater = { 0 3 0 } # If it is not white peace (there is no winner) (if CBs count > 0 )
			values_eq = { 0 1 1 } # We demanded a CB, that is, we won
		} 
		value = 20 
	}
}	

news_priority = 
{
	type = "PEACE_OFFER_ACCEPT"
	name = "war_we_win"

	# Default priority
	case = { priority_add = 25 }

	# Higher if was many countries on each side
	case =
	{
		trigger =
		{
			OR = 
			{
				# at least 3 countries on any side
				length_greater = { tags 0 2 }
				length_greater = { tags 1 2 }
			}
		}
		priority_add = 25
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = large
	name = "war_we_win"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { war_we_win_large_title }
	}
	description_case =
	{
		text_add = { gwar_we_win_large_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = medium
	name = "war_we_win"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { war_we_win_medium_title }
	}
	description_case =
	{
		text_add = { war_we_win_medium_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = small
	name = "war_we_win"

	title_case =
	{
		text_add = { war_we_win_small_title }
	}
	description_case =
	{
		text_add = { war_we_win_small_desc }
	}
}

# Clear all collected scopes of other types, that 
# makes no sense to be printed once current text is printed.
#on_printing =
#{
#	type = "PEACE_OFFER_ACCEPT"
#	name = "war_we_win"
#	effect =
#	{
#		clear_news_scopes =
#		{
#			type = "WAR_DECLARED"
#			# Compare by war name
#			limit = { strings_match = { 0 2  0 0 } }
#		}
#	}
#}
# - Moved to on_collection.txt as these articles are only about player involved

#==================================

generator_selector =
{
	type = "PEACE_OFFER_ACCEPT"
	name = "war_we_lose" #  war the player loses
	case = { value = 0 }
	case = 
	{ 
		trigger = 
		{ 
			tags_contains = { 3 PLAYER } # player is involved
			values_eq = { 0 0 0 } # not great war
			values_eq = { 0 2 1 } # war is over
			values_greater = { 0 3 0 } # If it is not the white peace (there is no winner) (if CBs count > 0 )
			values_eq = { 0 1 0 } # We lose
		} 
		value = 20 
	}
}	

news_priority = 
{
	type = "PEACE_OFFER_ACCEPT"
	name = "war_we_lose"

	# Default priority
	case = { priority_add = 25 }

	# Higher if was many countries on each side
	case =
	{
		trigger =
		{
			OR = 
			{
				# at least 3 countries on any side
				length_greater = { tags 0 2 }
				length_greater = { tags 1 2 }
			}
		}
		priority_add = 25
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = large
	name = "war_we_lose"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { war_we_lose_large_title }
	}
	description_case =
	{
		text_add = { war_we_lose_large_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = medium
	name = "war_we_lose"

	picture_case =
	{
		picture = "news/peace_01_news_image.dds" 
		picture = "news/peace_02_news_image.dds" 
		picture = "news/peace_03_news_image.dds" 
		picture = "news/peace_04_news_image.dds" 
		picture = "news/peace_05_news_image.dds" 
		picture = "news/peace_06_news_image.dds" 
	}
	title_case =
	{
		text_add = { war_we_lose_medium_title }
	}
	description_case =
	{
		text_add = { war_we_lose_medium_desc }
	}
}

generate_article =
{
	type = "PEACE_OFFER_ACCEPT"
	size = small
	name = "war_we_lose"

	title_case =
	{
		text_add = { war_we_lose_small_title }
	}
	description_case =
	{
		text_add = { war_we_lose_small_desc }
	}
}

# Clear all collected scopes of other types, that 
# makes no sense to be printed once current text is printed.
#on_printing =
#{
#	type = "PEACE_OFFER_ACCEPT"
#	name = "war_we_lose"
#	effect =
#	{
#		clear_news_scopes =
#		{
#			type = "WAR_DECLARED"
#			# Compare by war name
#			limit = { strings_match = { 0 2  0 0 } }
#		}
#	}
#}
# - Moved to on_collection.txt as these articles are only about player involved
